%global srcname rpmautospec_core
%global canonicalname %{py_dist_name %{srcname}}

Name: python-%{canonicalname}
Version: 0.1.4
Release: %mkrel 3
Summary: Minimum functionality for rpmautospec
Group: Development/Python
License: MIT
URL: https://github.com/fedora-infra/%{canonicalname}
Source0: %{pypi_source %{srcname}}
BuildArch: noarch
BuildRequires: python3-devel
# The dependencies needed for testing don’t get auto-generated.
BuildRequires: python3dist(pytest)
BuildRequires: python3dist(pytest-cov)
BuildRequires: sed

%description
This package contains minimum functionality to determine if an RPM spec file
uses rpmautospec features.

%package -n python3-%{canonicalname}
Summary: %{summary}

%description -n python3-%{canonicalname}
This package contains minimum functionality to determine if an RPM spec file
uses rpmautospec features.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

# Work around poetry not listing license files as such in package metadata.
sed -i -e 's|^\(.*/LICENSE\)|%%license \1|g' %{pyproject_files}

%check
%pytest

%files -n python3-%{canonicalname} -f %{pyproject_files}
%doc README.md


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.1.4-3.mga10
+ Revision: 2237232
- Mageia 10 Mass Rebuild

* Wed Feb 26 2025 wally <wally> 0.1.4-2.mga10
+ Revision: 2152964
- rebuild for python3.13

* Sat Feb 03 2024 wally <wally> 0.1.4-1.mga10
+ Revision: 2036995
- import based on .spec from Fedora

